<?php
namespace Ep\Woo\Form\View\Helper;

use Ep\Form\Helper\AbstractFormHelper;
use Ep\Woo\Form\Element\AttributeList as AttributeListElement;

/**
 * Renderira listu atributa.
 *
 * @package Ep\Woo\Form\View\Helper
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class AttributeList extends AbstractFormHelper
{
    public function __invoke(AttributeListElement $element)
    {
        return $this->getView()->render('@woo/form/element/attribute-list.html.twig', [
            'attributes' => $element,
            'reset_label' => __('Clear', 'woocommerce'),
        ]);
    }
}