<?php
namespace Ep\Woo;

use Zend\Form\ElementFactory;

return [
    'form_elements' => [
        'aliases' => [
            'woo.addtocart' => Form\AddToCart::class,

            'woo.element.attribute'      => Form\Element\Attribute::class,
            'woo.element.attributelist'  => Form\Element\AttributeList::class,
            'woo.element.productenquiry' => Form\Element\ProductEnquiry::class,
            'woo.element.quantity'       => Form\Element\Quantity::class,
        ],

        'factories' => [
            Form\AddToCart::class => ElementFactory::class,

            Form\Element\Attribute::class      => ElementFactory::class,
            Form\Element\AttributeList::class  => ElementFactory::class,
            Form\Element\ProductEnquiry::class => Form\Element\ProductEnquiryFactory::class,
            Form\Element\Quantity::class       => ElementFactory::class,
        ],
    ],
];